Gnome2::DateEdit(3)

NAME
Gnome2::DateEdit - wrapper for GnomeDateEdit

HIERARCHY
  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Box
                           +----Gtk2::HBox
                                +----Gnome2::DateEdit

INTERFACES
  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable
  Gtk2::Orientable

METHODS

  widget = Gnome2::DateEdit->new ($the_time, $show_time, $use_24_format)

•   $the_time (a timestamp)

•   $show_time (boolean)

•   $use_24_format (boolean)

  widget = Gnome2::DateEdit->new_flags ($the_time, $flags)

•   $the_time (a timestamp)

•   $flags (Gnome2::DateEditFlags)

  scalar = $gde->get_flags

  $gde->set_flags ($flags)

•   $flags (Gnome2::DateEditFlags)

  a timestamp = $gde->get_initial_time

  $gde->set_popup_range ($low_hour, $up_hour)

•   $low_hour (integer)

•   $up_hour (integer)

  a timestamp = $gde->get_time

  $gde->set_time ($the_time)

•   $the_time (a timestamp)

PROPERTIES

'dateedit-flags' (Gnome2::DateEditFlags : default show-time : readable / writable)
    Flags for how DateEdit looks

'initial-time' (Glib::ULong : default 0 : readable / writable)
    The initial time

'lower-hour' (integer : default 7 : readable / writable)
    Lower hour in the time popup selector

'time' (Glib::ULong : default 0 : readable / writable)
    The time currently selected

'upper-hour' (integer : default 19 : readable / writable)
    Upper hour in the time popup selector

SIGNALS

date-changed (Gnome2::DateEdit)
time-changed (Gnome2::DateEdit)

ENUMS AND FLAGS

  flags Gnome2::DateEditFlags

•   'show-time' / 'GNOME_DATE_EDIT_SHOW_TIME'

•   '24-hr' / 'GNOME_DATE_EDIT_24_HR'

•   'week-starts-on-monday' / 'GNOME_DATE_EDIT_WEEK_STARTS_ON_MONDAY'

•   'display-seconds' / 'GNOME_DATE_EDIT_DISPLAY_SECONDS'

SEE ALSO
Gnome2, Glib::Object, Glib::InitiallyUnowned, Gtk2::Object, Gtk2::Widget, Gtk2::Container, Gtk2::Box, Gtk2::HBox

COPYRIGHT
Copyright (C) 2003-2004 by the gtk2-perl team.

This software is licensed under the LGPL. See Gnome2 for a full notice.